
#define internal        static

#if DEBUG_BUILD
#define Assert( Expression ) if( !( Expression ) ) { *( int32 * )0 = 0; }
#else
#define Assert( Expression )
#endif

#define InvalidCodePath  Assert( 0 )
#define NotImplemented   Assert( 0 )
#define _arrayCount( array )  ( sizeof( array ) / sizeof( array[0] ) )
#define _arrayBytes( array )  ( sizeof( array ) )

#define _KB( value ) ( value * 1024LL )
#define _MB( value ) ( value * 1024LL * 1024LL )
#define _GB( value ) ( value * 1024LL * 1024LL * 1024LL )

#define PI 3.14159274f

typedef int8_t  int8;
typedef int16_t int16;
typedef int32_t int32;
typedef int64_t int64;

typedef uint8_t  uint8;
typedef uint16_t uint16;
typedef uint32_t uint32;
typedef uint64_t uint64;

typedef float  flo32;
typedef double flo64;

typedef int32 boo32;
